org.apache.ignite.spi.tracing

## Enum Scope

- java.lang.Object
- - java.lang.Enum<Scope>
  - - org.apache.ignite.spi.tracing.Scope

- All Implemented Interfaces:
    Serializable, Comparable<Scope>

      public enum Scope
      extends Enum<Scope>

  Tracing span scope.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMMUNICATION` Communication scope.
    `DISCOVERY` Discovery scope.
    `EXCHANGE` Exchange scope.
    `SQL` SQL query scope.
    `TX` Transactional scope.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Scope` | `fromIndex(short idx)` Created Scope from it's index.
    `short` | `idx()`
    `static Scope` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Scope[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DISCOVERY

          public static final Scope DISCOVERY

      Discovery scope.

    - #### EXCHANGE

          public static final Scope EXCHANGE

      Exchange scope.

    - #### COMMUNICATION

          public static final Scope COMMUNICATION

      Communication scope.

    - #### TX

          public static final Scope TX

      Transactional scope.

    - #### SQL

          public static final Scope SQL

      SQL query scope.

  - ### Method Detail

    - #### values

          public static Scope[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Scope c : Scope.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Scope valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### idx

          public short idx()

      Returns:
        Id.

    - #### fromIndex

          public static Scope fromIndex(short idx)

      Created Scope from it's index.
      Parameters:
        `idx` - Index.
      Returns:
        Scope.

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021